org.springframework.orm.hibernate3

## Class HibernateJdbcException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.UncategorizedDataAccessException
              - - org.springframework.orm.hibernate3.HibernateJdbcException

All Implemented Interfaces:
  Serializable

    public class HibernateJdbcException
    extends UncategorizedDataAccessException

Hibernate-specific subclass of UncategorizedDataAccessException, for JDBC exceptions that Hibernate wrapped.

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  `SessionFactoryUtils.convertHibernateAccessException(org.hibernate.HibernateException)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HibernateJdbcException(JDBCException ex)`

### Method Summary

Methods
`String` `getSql()` Return the SQL that led to the problem.
`SQLException` `getSQLException()` Return the underlying SQLException.

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HibernateJdbcException

    public HibernateJdbcException(JDBCException ex)

### Method Detail

#### getSQLException

    public SQLException getSQLException()

Return the underlying SQLException.

#### getSql

    public String getSql()

Return the SQL that led to the problem.